<?php

namespace ACL\Controllers;

use ACL\Traits\TResponse;
use Exception;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use ACL\Services\Parcnegocio as ParcnegocioService;

class Parcnegocio
{

    use TResponse;

    /**
     * @var ParcnegocioService
     */
    private $parcnegocioService;

    public function __construct(ParcnegocioService $parcnegocioService)
    {
        $this->parcnegocioService = $parcnegocioService;
    }

    public function findAllParcnegocio(Request $request, Response $response)
    {
        try {
            $data = $this->parcnegocioService->findAllParcnegocio();
            $this->sendResponse($data, 200);
        } catch (Exception $e) {
            $this->sendResponse(['error' => $e->getMessage(), 'code' => $e->getCode()], 500);
        }
    }

    public function createParcnegocio(Request $request)
    {
        try {
            $params = $request->getParameters();

            $cdoperador = $params['CDOPERADOR'];
            $nmoperador = $params['NMOPERADOR'];
            $nrinscricaoparc = $params['NRINSCRICAOPARC'] ?? null;
            $cdtipoinscricao = $params['CDTIPOINSCRICAO'] ?? null;

            $data = $this->parcnegocioService->setParcnegocio($nmoperador, $nrinscricaoparc, $cdtipoinscricao, $cdoperador);
            $this->sendResponse($this->createResponse($data), 201);
        } catch (Exception $e) {
            $this->sendResponse(['error' => $e->getMessage(), 'code' => $e->getCode()], 500);
        }
    }
}
