<?php


namespace ACL\Crud;


use Doctrine\ORM\EntityManager;
use Teknisa\Model\Traits\TQuery;

class CrudRepository
{
    use TQuery;
    /**
     * @var EntityManager
     */
    private $entityManager;

    /**
     * CrudRepository constructor.
     * @param EntityManager $entityManager
     */
    public function __construct(EntityManager $entityManager)
    {
        $this->entityManager = $entityManager;
    }

    /**
     * @param $table
     * @param string $columns
     * @return array
     */
    public function find($table, $columns = ''): array
    {
        if (!$columns) {
            $columns = '*';
        }
        $query = <<<SQL
            SELECT $columns FROM $table
SQL;

        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $query);
    }
}