CREATE SEQUENCE USR_NRITEMSOLI START WITH 1;
/

-- ==============================================================================
-- TABLE: USR_ITEMSOLI_SHA
-- ==============================================================================
CREATE TABLE USR_ITEMSOLI_SHA (
  NRITEMSOLI     NUMBER(10) DEFAULT USR_NRITEMSOLI.NEXTVAL    NOT NULL,
  CDFILISOLI     VARCHAR2(4)  NOT NULL,
  CDPRODUTO      VARCHAR2(20) NOT NULL,
  SGUNIDMED      VARCHAR2(10) NOT NULL,
  DTPROGENTR     DATE NOT NULL,
  QTSOLIPROD     FLOAT NOT NULL,
  DTEXPORTADO    DATE NULL,
  NRORG          NUMBER        DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
  IDATIVO        VARCHAR2(1)   DEFAULT 'S' NOT NULL
     CONSTRAINT CKC_IDATIVO_USR_ITEMSOLI_SHA CHECK (IDATIVO IN ('S','N')),
  DTINCLUSAO     DATE          DEFAULT SYSDATE,
  DTULTATU       DATE          DEFAULT SYSDATE,
  NRORGINCLUSAO  NUMBER        DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
  CDOPERINCLUSAO VARCHAR2(12)  DEFAULT '1' NULL,
  NRORGULTATU    NUMBER        DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
  CDOPERULTATU   VARCHAR2(12)  DEFAULT '1' NULL
)
/

ALTER TABLE USR_ITEMSOLI_SHA ADD
  CONSTRAINT USR_ITEMSOLI_SHA_PK PRIMARY KEY (NRITEMSOLI)
/

-- ==============================================================================
-- TABLE: ITEMSOLI
-- ==============================================================================
ALTER TABLE ITEMSOLI ADD USR_SHA_INTEGRADO VARCHAR2(1) DEFAULT 'N'
   CONSTRAINT CKC_USR_SHA_INT_FORN CHECK ((USR_SHA_INTEGRADO IN ('S','N')) OR (USR_SHA_INTEGRADO IS NULL))
/

ALTER TABLE USR_ITEMSOLI_SHA MODIFY CDFILISOLI  VARCHAR2(20)
/

-- VERSAO --
BEGIN ATUVEROBJ('ATUALIZACAO_ESTRUTURA_BD','6.45.022'); END;
/
