/******************************************************************************/
/******************************************************************************/
/* Trigger: DTULTATU_REFENUTRECOM                                             */
/* Tabela : REFENUTRECOM                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 02/02/2005 - Jonathan Abdon Silva                                          */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_REFENUTRECOM'  and
            type = 'TR'                       and
            u.uid = o.uid                     and
            u.name = USER)
  DROP TRIGGER DTULTATU_REFENUTRECOM
  GO


CREATE TRIGGER DTULTATU_REFENUTRECOM
ON REFENUTRECOM
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                              (SELECT 'REFENUTRECOM', NULL, 'CDRFNUTRECOM='+CDRFNUTRECOM+';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE REFENUTRECOM
      SET DTULTATURENC = GETDATE()
      FROM INSERTED
      WHERE
         (REFENUTRECOM.CDRFNUTRECOM = INSERTED.CDRFNUTRECOM)
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_REFENUTRECOM','5.01.011';
GO

